VehiclePhysics.Brakes.WheelBrake

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehiclePhysics.Brakes.WheelBrake

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehiclePhysics.Brakes.WheelBrake

Enclosing class:
  VehiclePhysics.Brakes

    public static class VehiclePhysics.Brakes.WheelBrake

extends java.lang.Object

Brake settings for a single wheel.

Author:
  Marvin Froehlich (CTDP)

Method Summary
`double` | `computeTorque(float brakeTempK)` Computes the actual brake torque for the given brake temperature.
`float` | `getBadDiscFailure()` You shouldn't let your brake disc go to this thickness in meters.
`float` | `getBrakeFadeColdTemperatureC()` Gets the temperature below optimum in °C, where brakes are cold and only produce half of optimum effect.
`float` | `getBrakeFadeHotTemperatureC()` Gets the temperature above optimum in °C, where brakes are cold and only produce half of optimum effect.
`float` | `getBrakeFadeRangeC()` Gets the range, where brakes start to fade.
`float` | `getColdTemperature()` Gets the temperature level in the selected units under and at which brakes are cold and won't work well.
`float` | `getColdTemperatureC()` Gets the temperature level in Celsius under and at which brakes are cold and won't work well.
`float` | `getColdTemperatureF()` Gets the temperature level in Fahrenheit under and at which brakes are cold and won't work well.
`float` | `getColdTemperatureK()` Gets the temperature level in Kelvin under and at which brakes are cold and won't work well.
`float` | `getDiscFailureAverage()` Gets the disc thickness in meters at which it fails.
`float` | `getDiscFailureVariance()` Gets the variance of disc thickness at which it fails.
`float` | `getDiscFailureVarianceHalfRange()` Gets half of the absolute range of variance in meters.
`float` | `getDiscFailureVarianceRange()` Gets the absolute range of variance in meters.
`VehiclePhysics.PhysicsSetting` | `getDiscRange()` Gets the disc thickness range in meters.
`float` | `getGoodDiscFailure()` Gets the disc thickness in meters, that you can be pretty sure, it will reach.
`float` | `getMaxDiscFailure()` Gets the disc thickness at which it fails.
`float` | `getMinDiscFailure()` Gets minimum disc thickness, the disc can possibly reach in meters.
`float` | `getOptimumTemperaturesLowerBound()` Gets the lower bound of the temperature range in the selected units, where brakes will operate optimally.
`float` | `getOptimumTemperaturesLowerBoundC()` Gets the lower bound of the temperature range in Celsius, where brakes will operate optimally.
`float` | `getOptimumTemperaturesLowerBoundF()` Gets the lower bound of the temperature range in Fahrenheit, where brakes will operate optimally.
`float` | `getOptimumTemperaturesLowerBoundK()` Gets the lower bound of the temperature range in Kelvin, where brakes will operate optimally.
`float` | `getOptimumTemperaturesUpperBound()` Gets the upper bound of the temperature range in the selected units, where brakes will operate optimally.
`float` | `getOptimumTemperaturesUpperBoundC()` Gets the upper bound of the temperature range in Celsius, where brakes will operate optimally.
`float` | `getOptimumTemperaturesUpperBoundF()` Gets the upper bound of the temperature range in Fahrenheit, where brakes will operate optimally.
`float` | `getOptimumTemperaturesUpperBoundK()` Gets the upper bound of the temperature range in Kelvin, where brakes will operate optimally.
`float` | `getOverheatingTemperature()` Gets the temperature level in the selected units above at at which brakes are overheating and won't work well and increase more than regularly.
`float` | `getOverheatingTemperatureC()` Gets the temperature level in Celsius above at at which brakes are overheating and won't work well and increase more than regularly.
`float` | `getOverheatingTemperatureF()` Gets the temperature level in Fahrenheit above at at which brakes are overheating and won't work well and increase more than regularly.
`float` | `getOverheatingTemperatureK()` Gets the temperature level in Kelvin above at at which brakes are overheating and won't work well and increase more than regularly.
`float` | `getTorqueBase()` Gets brake torque base.
`float` | `getWearDecreasePerDegreeCBelowOptimum()` Gets the engine wear increase per °C below optimum temperature range.
`float` | `getWearIncreasePerDegreeCOverOptimum()` Gets the engine wear increase per °C over optimum temperature range.
`double` | `getWearRate()` Brake disc wear per second in optimum temperature range.
`Wheel` | `getWheel()`
`boolean` | `hasDiscFailureVariance()` Gets, whether this brake has a variance in fail thickness.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWheel

    public final Wheel getWheel()

### getOptimumTemperaturesLowerBoundK

    public final float getOptimumTemperaturesLowerBoundK()

  Gets the lower bound of the temperature range in Kelvin, where brakes will operate optimally.

  Returns:
    the lower bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesLowerBoundC

    public final float getOptimumTemperaturesLowerBoundC()

  Gets the lower bound of the temperature range in Celsius, where brakes will operate optimally.

  Returns:
    the lower bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesLowerBoundF

    public final float getOptimumTemperaturesLowerBoundF()

  Gets the lower bound of the temperature range in Fahrenheit, where brakes will operate optimally.

  Returns:
    the lower bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesLowerBound

    public final float getOptimumTemperaturesLowerBound()

  Gets the lower bound of the temperature range in the selected units, where brakes will operate optimally.

  Returns:
    the lower bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesUpperBoundK

    public final float getOptimumTemperaturesUpperBoundK()

  Gets the upper bound of the temperature range in Kelvin, where brakes will operate optimally.

  Returns:
    the upper bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesUpperBoundC

    public final float getOptimumTemperaturesUpperBoundC()

  Gets the upper bound of the temperature range in Celsius, where brakes will operate optimally.

  Returns:
    the upper bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesUpperBoundF

    public final float getOptimumTemperaturesUpperBoundF()

  Gets the upper bound of the temperature range in Fahrenheit, where brakes will operate optimally.

  Returns:
    the upper bound of the temperature range, where brakes will operate optimally.

### getOptimumTemperaturesUpperBound

    public final float getOptimumTemperaturesUpperBound()

  Gets the upper bound of the temperature range in the selected units, where brakes will operate optimally.

  Returns:
    the upper bound of the temperature range, where brakes will operate optimally.

### getColdTemperatureK

    public final float getColdTemperatureK()

  Gets the temperature level in Kelvin under and at which brakes are cold and won't work well.

  Returns:
    the temperature level under and at which brakes are cold.

### getColdTemperatureC

    public final float getColdTemperatureC()

  Gets the temperature level in Celsius under and at which brakes are cold and won't work well.

  Returns:
    the temperature level under and at which brakes are cold.

### getColdTemperatureF

    public final float getColdTemperatureF()

  Gets the temperature level in Fahrenheit under and at which brakes are cold and won't work well.

  Returns:
    the temperature level under and at which brakes are cold.

### getColdTemperature

    public final float getColdTemperature()

  Gets the temperature level in the selected units under and at which brakes are cold and won't work well.

  Returns:
    the temperature level under and at which brakes are cold.

### getOverheatingTemperatureK

    public final float getOverheatingTemperatureK()

  Gets the temperature level in Kelvin above at at which brakes are overheating and won't work well and increase more than regularly.

  Returns:
    the temperature level above at at which brakes are overheating.

### getOverheatingTemperatureC

    public final float getOverheatingTemperatureC()

  Gets the temperature level in Celsius above at at which brakes are overheating and won't work well and increase more than regularly.

  Returns:
    the temperature level above at at which brakes are overheating.

### getOverheatingTemperatureF

    public final float getOverheatingTemperatureF()

  Gets the temperature level in Fahrenheit above at at which brakes are overheating and won't work well and increase more than regularly.

  Returns:
    the temperature level above at at which brakes are overheating.

### getOverheatingTemperature

    public final float getOverheatingTemperature()

  Gets the temperature level in the selected units above at at which brakes are overheating and won't work well and increase more than regularly.

  Returns:
    the temperature level above at at which brakes are overheating.

### getWearIncreasePerDegreeCOverOptimum

    public final float getWearIncreasePerDegreeCOverOptimum()

  Gets the engine wear increase per °C over optimum temperature range.

  Returns:
    the engine wear increase per °C over optimum temperature range.
  See Also:
    `getOptimumTemperaturesUpperBoundC()`

### getWearDecreasePerDegreeCBelowOptimum

    public final float getWearDecreasePerDegreeCBelowOptimum()

  Gets the engine wear increase per °C below optimum temperature range.

  Returns:
    the engine wear increase per °C below optimum temperature range.
  See Also:
    `getOptimumTemperaturesLowerBoundC()`

### getBrakeFadeRangeC

    public final float getBrakeFadeRangeC()

  Gets the range, where brakes start to fade.

  Returns:
    the range, where brakes start to fade.

### getBrakeFadeColdTemperatureC

    public final float getBrakeFadeColdTemperatureC()

  Gets the temperature below optimum in °C, where brakes are cold and only produce half of optimum effect.

  Returns:
    the temperature below optimum in °C, where brakes are cold and only produce half of optimum effect.
  See Also:
    `getOptimumTemperaturesLowerBoundC()`

### getBrakeFadeHotTemperatureC

    public final float getBrakeFadeHotTemperatureC()

  Gets the temperature above optimum in °C, where brakes are cold and only produce half of optimum effect.

  Returns:
    the temperature above optimum in °C, where brakes are cold and only produce half of optimum effect.
  See Also:
    `getOptimumTemperaturesUpperBoundC()`

### getDiscRange

    public final VehiclePhysics.PhysicsSetting getDiscRange()

  Gets the disc thickness range in meters.

  Returns:
    the disc thickness range in meters.
  See Also:
    `VehicleSetup.WheelAndTire.getBrakeDiscThickness()`

### getWearRate

    public final double getWearRate()

  Brake disc wear per second in optimum temperature range.

  Returns:
    Brake disc wear per second in optimum temperature range.
  See Also:
    `getOptimumTemperaturesLowerBoundC()`, `getOptimumTemperaturesUpperBoundC()`

### getDiscFailureAverage

    public final float getDiscFailureAverage()

  Gets the disc thickness in meters at which it fails.

  Returns:
    the disc thickness in meters at which it fails.

### getDiscFailureVariance

    public final float getDiscFailureVariance()

  Gets the variance of disc thickness at which it fails.

  Returns:
    the variance of disc thickness at which it fails.

### hasDiscFailureVariance

    public final boolean hasDiscFailureVariance()

  Gets, whether this brake has a variance in fail thickness.

  Returns:
    whether this brake has a variance in fail thickness.

### getMinDiscFailure

    public final float getMinDiscFailure()

  Gets minimum disc thickness, the disc can possibly reach in meters.

  Returns:
    minimum disc thickness, the disc can possibly reach in meters

### getGoodDiscFailure

    public final float getGoodDiscFailure()

  Gets the disc thickness in meters, that you can be pretty sure, it will reach.

  Returns:
    the disc thickness in meters, that you can be pretty sure, it will reach.

### getBadDiscFailure

    public final float getBadDiscFailure()

  You shouldn't let your brake disc go to this thickness in meters.

  Returns:
    the thickness, that you shouldn't let your brakes go to. They will probably not gonna make it.

### getMaxDiscFailure

    public final float getMaxDiscFailure()

  Gets the disc thickness at which it fails.

  Returns:
    the disc thickness at which it fails.

### getDiscFailureVarianceRange

    public final float getDiscFailureVarianceRange()

  Gets the absolute range of variance in meters.

  Returns:
    the absolute range of variance in meters.

### getDiscFailureVarianceHalfRange

    public final float getDiscFailureVarianceHalfRange()

  Gets half of the absolute range of variance in meters.

  Returns:
    half of the absolute range of variance in meters.

### getTorqueBase

    public final float getTorqueBase()

  Gets brake torque base.

  Returns:
    brake torque base.

### computeTorque

    public final double computeTorque(float brakeTempK)

  Computes the actual brake torque for the given brake temperature.

  Parameters:
    `brakeTempK` - the brake temperature in Kelvin
  Returns:
    the actual brake torque for the given brake temperature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD